var botLog;
var botElementId = "bot";
var botLogElementId = "botLog";
var debugging = true;
//var debugging = false;
var dom;
var events;
// // var firstFlag = true;
var language = "russian";
// var language = "english";
var loaded = true;
var monitorElementId = "monitor";
 var tracing = true; 
//var tracing = false; 
var userElementId = "guest";
var botManager;
var initAll = function(e) {
 events.setTracing(tracing);
 events.setDebugging(debugging); events.setLog(botLog); 
 if (Dom) {
  if(debugging && botLog) {botLog.println("index.js:initAll: "+"Dom is loaded...");}; 
  dom = new Dom();
  dom.setTracing(tracing);
  dom.setDebugging(debugging);
  dom.setLog(botLog);
 } else {
  if(debugging && botLog) {botLog.println("index.js:initAll: "+"Log is not loaded...");};
  loaded = false;
  return -1; 
 };
 dom.changeTextContent("loadMessage", dom.getTextContent("clickMessage"));
 var monitor;
 monitor = new Monitor();
 monitor.setTracing(tracing);
 monitor.setDebugging(debugging);
 monitor.setLog(botLog);
 monitor.setBotElementId(botElementId);
 monitor.setMonitorElementId(monitorElementId);
 monitor.setUserElementId(userElementId);
 monitor.setCurrentLanguage(language);
 monitor.main();
 var userConsole;
 userConsole = new UserConsole();
 userConsole.setTracing(tracing);
 userConsole.setDebugging(debugging);
 userConsole.setLog(botLog);
 userConsole.setEvent(events);
 userConsole.setMonitor(monitor);
 userConsole.main();
 var chatBotKisa = new ChatBotKisa();
 chatBotKisa.setTracing(tracing);
 chatBotKisa.setDebugging(debugging);
 chatBotKisa.setLog(botLog);
 chatBotKisa.init();
 botManager = new BotManager();
 botManager.setTracing(tracing);
 botManager.setDebugging(debugging);
 botManager.setLog(botLog);
 botManager.setMonitor(monitor); 
 botManager.setCurrentLanguage(language);
 botManager.addBot(chatBotKisa); 
 botManager.main();
 runBot();
};
var runBot = function(e) {
 if(!((debugging || tracing) && botLog)) {
  dom.doHidden("botLog");
  var monitorElement = document.getElementById("monitor");
  monitorElement.style.height = "90%";  
 };
 dom.doHidden("hello");
 dom.doVisible("console");
 document.getElementById("userConsoleText").focus();
 if(debugging && botLog) {botLog.println("index.js:runBot: "+"Kisa is runing...");};
};
var wrongExit = function(className) {
 if(debugging && botLog) {botLog.println("index.js:wrongExit from index.js:initAll: "+"ERROR: "+className+" is not loaded...");}; 
 loaded = false;
 return -1; 
};
var Root = function() {};
Root.prototype.className = "Root"; 
 Root.prototype.getClassName = function () {return this.className;};
Root.prototype.created = "20061018"; 
 Root.prototype.getCreated = function () {return this.created;};
Root.prototype.debugging = false;
 Root.prototype.getDebugging = function () {return this.version;};
 Root.prototype.mustDebug = function () {if(this.getDebugging() && this.getLog()) {return true;} else {return false;};};
 Root.prototype.setDebugging = function (debugging) {this.debugging = debugging; return 1;};
Root.prototype.rootLog; 
 Root.prototype.getLog = function () {return this.rootLog;};
 Root.prototype.setLog = function (rootLog) {this.rootLog = rootLog; return 1;};
Root.prototype.tracing = false;
 Root.prototype.getTracing = function () {return this.tracing;};
 Root.prototype.mustTrace = function () {if(this.getTracing() && this.getLog()) {return true;} else {return false;};};
 Root.prototype.setTracing = function (tracing) {this.tracing = tracing; return 1;};
Root.prototype.version = "20061018"; 
 Root.prototype.getVersion = function () {return this.version;};
 Root.prototype.getClassId = function () {return this.created+this.version;};
var Events = function() {};
Events.prototype = new Root();
Events.prototype.created = "20060101"; 
Events.prototype.version = "20061018"; 
Events.prototype.addEventListener = function(element, type, listener, useCapture) {
 if(this.mustTrace()) {this.getLog().println("Events.addEventListener is runing...");}; 
 if(typeof element == "string") {element = document.getElementById(element)}; 
 if(!element) {return -1;};
 if(element.addEventListener) {
  element.addEventListener(type, listener, useCapture);
 } else if(element.attachEvent) {
  eventIE = "on"+type;
  element.attachEvent(eventIE, listener);
 } else {
  return -1;
 };
};
Events.prototype.removeEventListener = function(element, type, listener, useCapture) {
 if(this.mustTrace()) {this.getLog().println("Events.removeEventListener is runing...");}; 
 if(typeof element == "string") {element = document.getElementById(element)}; 
 if(!element) {return -1;};
 if(element.removeEventListener) {
  element.removeEventListener(type, listener, useCapture);
 } else if (element.detachEvent) {
  eventIE = "on"+type;
  element.detachEvent(eventIE, listener);
 } else {
  return -1;
 };
};
var Dom = function() {};
Dom.prototype = new Root();
Dom.prototype.created = "20060101"; 
Dom.prototype.version = "20061018"; 
Dom.prototype.appendTextContent = function(element, content) {
 if(this.mustTrace()) {this.getLog().println("Dom.appendTextContent is running...");}; 
 if(typeof element == "string") {element = document.getElementById(element)};
 element.appendChild(document.createTextNode(content));
 return 1;
}
Dom.prototype.changeChilds = function(element, newChildsRootElement) {
 if(this.mustTrace()) {this.getLog().println("Dom.changeChilds is running...");}; 
 if(typeof element == "string") {element = document.getElementById(element)};
 if(typeof newChildsRootElement == "string") {newChildsRootElement = document.getElementById(newChildsRootElement)};
 this.removeChilds(element);
 element.appendChild(newChildsRootElement);
 return 1;
}
Dom.prototype.changeTextContent = function(element, content) {
 if(this.mustTrace()) {this.getLog().println("Dom..changeTextContent is running...");}; 
 if(typeof element == "string") {element = document.getElementById(element)};
 if(element) {
  this.removeChilds(element); 
  element.appendChild(document.createTextNode(content));
  return 1;
 } else {
  return 0;
 };
}
Dom.prototype.clearTextContent = function(element) {
 if(this.mustTrace()) {this.getLog().println("Dom.changeTextContent is running...");}; 
 if(typeof element == "string") {element = document.getElementById(element)};
 if(element) {
  this.removeChilds(element); 
  return 1;
 } else {
  return 0;
 };
}
Dom.prototype.copyContent = function(fromElement, toElement, removeToStatus) {
 if(this.mustTrace()) {this.getLog().println("Dom.copyContent is running...");};
 if(typeof fromElement == "string") {fromElement = document.getElementById(fromElement)};
 if(typeof toElement == "string") {toElement = document.getElementById(toElement)};
 if(!fromElement) {return -1;} 
 if(!toElement) {return -2;} 
 if(removeToStatus) {this.removeChilds(element);}
 var copyElement = fromElement.firstChild; 
 while(copyElement) {
  toElement.appendChild(copyElement.cloneNode(true));
  copyElement = copyElement.nextSibling;
 };
 return 1;
}
Dom.prototype.createCookie = function(name, value, days) {
 if(this.mustTrace()) {this.getLog().println("Dom.createCookie is running...");};
 var expires;
 if (days) {
  var date = new Date();
  date.setDate(date.getDate()+days);
   expires = "; expires="+date.toGMTString();
 } else {
  expires = "";
 };
 document.cookie = name+"="+value+expires+"; path=/";
 return 1;
}
Dom.prototype.createLinkElement = function(id, href, text) {
 if(this.mustTrace()) {this.getLog().println("Dom.createLinkElement is running...");};
 var linkElement = document.createElement("a");
 linkElement.id = id;
 linkElement.setAttribute("href", href);
 linkElement.appendChild(document.createTextNode(text)); 
 return linkElement;
}
Dom.prototype.doHidden = function(element) {
 if(this.mustTrace()) {this.getLog().println("Dom.doHidden is running...");};
 if(typeof element == "string") {element = document.getElementById(element)};
 if(!element) {return -1;};
 element.style.visibility = "hidden";
 element.style.position = "absolute";
 element.style.left = "-1000em";
 element.style.top = "-1000em";
 return 1;
}
Dom.prototype.doVisible = function(element) {
 if(this.mustTrace()) {this.getLog().println("Dom.doVisible is running...");};
 if(typeof element == "string") {element = document.getElementById(element)};
 if(!element) {return -1;} 
 if(!element.style) {return -2;} 
 element.style.position = "static";
 element.style.left = "auto";
 element.style.top = "auto";  
 element.style.visibility = "visible";
 return 1;
}
Dom.prototype.eraseCookie = function(name) {
 if(this.mustTrace()) {this.getLog().println("Dom.eraseCookie is running...");};
 this.createCookie(name,"",-1);
 return 1;
}
Dom.prototype.getTextContent = function(element) {
 if(this.mustTrace()) {this.getLog().println("Dom.getTextContent is running...");};
 if(typeof element == "string") {element = document.getElementById(element)};
 if(!element) {return -1;} 
 if(!element.firstChild) {return -2;} 
 var childNode = element.firstChild;
 if(!childNode) {return -3;}
 if(childNode.nodeType != 3) {return -4;}
 var text = childNode.nodeValue;
 return text;
}
Dom.prototype.invertVisibility = function(element) {
 if(this.mustTrace()) {this.getLog().println("Dom.invertVisibility is running...");};
 if(typeof element == "string") {element = document.getElementById(element)};
 if(element.style.visibility == "visible" || element.style.visibility == "") {doHidden(element)} else {doVisible(element)}
 return 1;
}
Dom.prototype.readCookie = function(name) {
 if(this.mustTrace()) {this.getLog().println("Dom.readCookie is running...");};
 var nameEQ = name + "=";
 var ca = document.cookie.split(";");
 for(var i=0; i < ca.length; i++) {
  var c = ca[i];
  while (c.charAt(0)==" ") c = c.substring(1,c.length);
  if (c.indexOf(nameEQ) == 0) {
   return c.substring(nameEQ.length,c.length);
  };
 }
 return null;
}
Dom.prototype.removeChilds = function(element) { 
 if(this.mustTrace()) {this.getLog().println("Dom.prototype.removeChilds is running...");};
 if(typeof element == "string") {element = document.getElementById(element)}; 
 if(element) {
  while(element.hasChildNodes() && element.firstChild) {element.removeChild(element.firstChild);};
  return 1;
 } else {
  return 0;
 };
}
Dom.prototype.setTextContent = function(element, content) {
 if(this.mustTrace()) {this.getLog().println("Dom.prototype.setTextContent is running...");};
 return this.changeTextContent(element, content);
};
var Str = function() {} 
Str.prototype = new Root();
Str.prototype.className = "Str"; 
Str.prototype.created = "20061018"; 
Str.prototype.punctuation = new Array(".", ",", "!", "?", ":", ";", "&", '"', "@", "#", "(", ")");
Str.prototype.version = "20061018"; 
Str.prototype.allTrim = function(string) {return this.trim(string);};
Str.prototype.leftTrim = function(string) { 
 if(this.mustTrace()) {this.getLog().println("Str.leftTrim is runing...");};
 var i = 0;
 while(string.charAt(i) == " " || string.charAt(i) == "\t" || string.charAt(i) == "\n") {i++;};
 return string.substr(i, string.length); 
};
Str.prototype.normalize = function(string) { 
 if(this.mustTrace()) {this.getLog().println("Str.normalize is runing...");};
 var s = this.trim(string);
 var sr = "";
 var j = 0;
 sr = s.charAt(0);
 for(i = 1; i < s.length; i++) {if(!(s.charAt(i) == " " && sr.charAt(j) == " ")) {sr += s.charAt(i); j++;};};
 return sr;
};
Str.prototype.padString = function(string) {
 if(this.mustTrace()) {this.getLog().println("Str.padString is runing...");};
 var result = " " + string + " ";
 for(var i = 0; i < this.punctuation.length; i++) {
  result = this.replaceStr(result, this.punctuation[i], " " + this.punctuation[i] + " ", 0);
 }
 return result;
};
Str.prototype.replaceStr = function(string, subString1, subString2, type) {
 var RPstrg = "";
 var pntr = -1; 
 var result = string;
 if(type == 0) { 
  if(string.indexOf(substr1) >= 0) {pntr = string.indexOf(subString1);};
 } else if(type == 1) {
  if(string.indexOf(" "+ subString1 +" ") >= 0) {pntr = string.indexOf(" " + subString1 + " ") + 1;};	
 } else if(type == 2) {
  bstrng = string.toUpperCase();
  bsubstr1 = subString1.toUpperCase();
  if(bstrng.indexOf(" "+ bsubstr1 +" ")>= 0) {pntr = bstrng.indexOf(" " + bsubstr1 + " ") + 1;};	
 } else {
  bstrng = string.toUpperCase();
  bsubstr1 = subString1.toUpperCase();
  if(bstrng.indexOf(bsubstr1) >= 0) {pntr = bstrng.indexOf(bsubstr1);};	
 };
 if(pntr >= 0) {
  RPstrg += string.substring(0, pntr) + subString2;
  result = string.substring(pntr + subString1.length, string.length);
  if(result.length > 0) {this.replaceStr(result, subString1, subString2, type);};
 };
 result =  RPstrg + result;
 RPstrg = "";
 return result;
};
Str.prototype.rightTrim = function(string) { 
 if(this.mustTrace()) {this.getLog().println("Str.rightTrim is runing...");};
 var i = string.length;
 while(string.charAt(i) == " " || string.charAt(i) == "\t" || string.charAt(i) == "\n") {i--;};
 return string.substr(0, i); 
};
Str.prototype.trim = function(string) { 
 if(this.mustTrace()) {this.getLog().println("Str.trim is runing...");};
 return this.leftTrim(this.rightTrim(string));
};
Str.prototype.trimAll = function(string) {return this.trim(string);};
function unpadString(string) {
 var result = string;
 result = this.normalize(result); 		// compress spaces 
 for(var i = 0; i < this.punctuation.length; i++) {
  result = this.replaceStr(aString, " " + this.punctuation[i], this.punctuation[i], 0); 
 };
 return result;
}
var BotManager = function() {};
BotManager.prototype = new Root();
BotManager.prototype.bots = new Array();
 BotManager.prototype.addBot = function(bot) {this.bots[this.bots.length] = bot;bot.setBotManager(this);bot.setCurrentLanguage(this.getCurrentLanguage());return 1;};
 BotManager.prototype.getBots = function() {return this.bots;};
 BotManager.prototype.getBotsCount = function() {return this.bots.length;};
 BotManager.prototype.setBots = function(bots) {this.bots = bots; return 1;};
BotManager.prototype.className = "BotManager"; 
BotManager.prototype.created = "20061018"; 
BotManager.prototype.currentLanguage = "english";
 BotManager.prototype.getCurrentLanguage = function () {return this.currentLanguage;};
 BotManager.prototype.setCurrentLanguage = function (currentLanguage) {this.currentLanguage = currentLanguage; return 1;};
BotManager.prototype.botMessages = new Array();
 BotManager.prototype.addBotMessage = function(botMessage) {this.botMessages[this.botMessages.length] = botMessage;return 1;};
 BotManager.prototype.getCountBotMessages = function(i) {return this.botMessages.length;};
 BotManager.prototype.getBotMessage = function(i) {return this.botMessages[i];};
 BotManager.prototype.getBotMessages = function() {return this.botMessages;};
 BotManager.prototype.getBotMessagesCount = function() {return this.botMessages.length;};
 BotManager.prototype.getLastBotMessage = function() {return this.botMessages[this.botMessages.length-1];};
 BotManager.prototype.setBotMessages = function(botMessages) {this.botMessages = botMessages; return 1;};
BotManager.prototype.monitor;
 BotManager.prototype.getMonitor = function() {return this.monitor;};
 BotManager.prototype.setMonitor = function(monitor) {this.monitor = monitor;monitor.setBotManager(this);return 1;};
BotManager.prototype.userMessages = new Array();
 BotManager.prototype.addUserMessage = function(userMessage) {this.userMessages[this.userMessages.length] = userMessage;return 1;};
 BotManager.prototype.getCountUserMessages = function(i) {return this.userMessages.length;};
 BotManager.prototype.getUserMessage = function(i) {return this.userMessages[i];};
 BotManager.prototype.getUserMessages = function() {return this.userMessages;};
 BotManager.prototype.getUserMessagesCount = function() {return this.userMessages.length;};
 BotManager.prototype.getLastUserMessage = function() {return this.userMessages[this.userMessages.length-2];};
 BotManager.prototype.getCurrentUserMessage = function() {return this.userMessages[this.userMessages.length-1];};
 BotManager.prototype.setUserMessages = function(userMessages) {this.userMessages = userMessages; return 1;};
BotManager.prototype.version = "20061018"; 
BotManager.prototype.main = function() { 
 if(this.mustTrace()) {this.getLog().println("BotManager.main is runing...");};
 this.getMonitor().setBotMessage(this.getFirstMessage(this.getCurrentLanguage()));
 return 1;
};
BotManager.prototype.getFirstMessage = function(language) { 
 if(this.mustTrace()) {this.getLog().println("BotManager.getFirtstMessage is runing...");};
 var maxRelevanceMessage = new ChatBotMessage();
 for(var i = 0; i < this.bots.length; i++) {
  var currentMessage = this.bots[i].getFirstMessage(language);
  if(currentMessage.getRelevance() == 1) {
   return currentMessage;
  } else if(currentMessage.getRelevance() > maxRelevanceMessage.getRelevance()) {
   maxRelevanceMessage = currentMessage;
  };
 };
 return maxRelevanceMessage;
};
BotManager.prototype.getResponse = function(message) { 
 if(this.mustTrace()) {this.getLog().println("BotManager.getResponse is runing...");};
 this.addUserMessage(message);
 var maxRelevanceMessage = new ChatBotMessage();
 for(var i = 0; i < this.bots.length; i++) {
  var currentMessage = this.bots[i].getResponse(message);
  if(currentMessage.getRelevance() == 1) {
   if(this.mustDebug()) {this.getLog().println("BotManager.getResponse: " + "currentMessage.getText() = " + currentMessage.getText());};
   this.getMonitor().setBotMessage(currentMessage);
   return 1;
  } else if(currentMessage.getRelevance() > maxRelevanceMessage.getRelevance()) {
   maxRelevanceMessage = currentMessage;
  };
 };
 if(this.mustDebug()) {this.getLog().println("BotManager.getResponse: " + "maxRelevanceMessage.getText() = " + maxRelevanceMessage.getText());};
 this.getMonitor().setBotMessage(maxRelevanceMessage);
 return 1;
};
var ChatBot = function() {};
ChatBot.prototype = new Root();
ChatBot.prototype.className = "ChatBot"; 
ChatBot.prototype.conjugation = new Array();
 ChatBot.prototype.addConjugation = function (from, to) {this.conjugation(from) = to; return 1;};
 ChatBot.prototype.getConjugation = function (from) {return this.conjugation(from);};
ChatBot.prototype.botManager;
 ChatBot.prototype.getBotManager = function () {return this.botManager;};
 ChatBot.prototype.setBotManager = function (botManager) {this.botManager = botManager; return 1;};
ChatBot.prototype.conjugationAdditional = new Array();
 ChatBot.prototype.addConjugationAdditional = function (from, to) {this.conjugationAdditional(from) = to; return 1;};
 ChatBot.prototype.getConjugationAdditional = function (from) {return this.conjugationAdditional(from);};
ChatBot.prototype.created = "20061018"; 
ChatBot.prototype.currentLanguage = "english";
 ChatBot.prototype.getCurrentLanguage = function () {return this.currentLanguage;};
 ChatBot.prototype.setCurrentLanguage = function (currentLanguage) {this.currentLanguage = currentLanguage; return 1;};
ChatBot.prototype.lastMessage = "";
 ChatBot.prototype.getLastMessage = function () {return this.lastMessage;};
 ChatBot.prototype.setLastMessage = function (lastMessage) {this.lastMessage = lastMessage; return 1;};
ChatBot.prototype.lastResponse = "";
 ChatBot.prototype.getLastResponse = function () {return this.lastResponse;};
 ChatBot.prototype.setLastResponse = function (lastResponse) {this.lastResponse = lastResponse; return 1;};
ChatBot.prototype.messageNumber = 0;
ChatBot.prototype.str = new Str(); 
ChatBot.prototype.version = "20061018"; 
 ChatBot.prototype.setDebugging = function (debugging) {this.debugging = debugging; this.str.setDebugging(this.getDebugging()); return 1;};
 ChatBot.prototype.setTracing = function (tracing) {this.tracing = tracing; this.str.setTracing(this.getTracing()); return 1;};
ChatBot.prototype.getFirstMessage = function(language) { 
 if(this.mustTrace()) {this.getLog().println("ChatBot.getFirtstMessage is runing...");};
 var chatBotMessage = new ChatBotMessage();
 chatBotMessage.setLanguage(this.getCurrentLanguage(language));
 chatBotMessage.setEmotion("na");
 chatBotMessage.setRelevance(0);
 chatBotMessage.setResponder(this.getClassName());
 return chatBotMessage;
}; 
ChatBot.prototype.getResponse = function(message) { 
 if(this.mustTrace()) {this.getLog().println("ChatBot.getResponse is runing...");};
 var chatBotMessage = new ChatBotMessage();
 chatBotMessage.setLanguage(this.getCurrentLanguage(language));
 chatBotMessage.setEmotion("na");
 chatBotMessage.setRelevance(0);
 chatBotMessage.setResponder(this.getClassName());
 return chatBotMessage;
}; 
ChatBot.prototype.init = function(message) { 
 if(this.mustTrace()) {this.getLog().println("ChatBot.init is runing...");};
 return 1;
};
var ChatBotMessage = function() {};
ChatBotMessage.prototype = new Root();
ChatBotMessage.prototype.className = "ChatBotMessage"; 
ChatBotMessage.prototype.created = "20061018"; 
ChatBotMessage.prototype.emotion = "empty";
 ChatBotMessage.prototype.getEmotion = function () {return this.emotion;};
 ChatBotMessage.prototype.setEmotion = function (emotion) {this.emotion = emotion; return 1;};
ChatBotMessage.prototype.language = "english";
 ChatBotMessage.prototype.getLanguage = function () {return this.language;};
 ChatBotMessage.prototype.setLanguage = function (language) {this.language = language; return 1;};
ChatBotMessage.prototype.relevance = 0;
 ChatBotMessage.prototype.getRelevance = function () {return this.relevance;};
 ChatBotMessage.prototype.setRelevance = function (relevance) {this.relevance = relevance; return 1;};
ChatBotMessage.prototype.responder = "";
 ChatBotMessage.prototype.getResponder = function () {return this.responder;};
 ChatBotMessage.prototype.setResponder = function (responder) {this.responder = responder; return 1;};
ChatBotMessage.prototype.text = "";
 ChatBotMessage.prototype.getText = function () {return this.text;};
 ChatBotMessage.prototype.setText = function (text) {this.text = text; return 1;};
ChatBotMessage.prototype.version = "20061018"; 
//***************************************   ****************************************** 
//**************************************   ****************************************
var ChatBotKisa = function() {};
ChatBotKisa.prototype = new ChatBot();
ChatBotKisa.prototype.className = "ChatBotKisa"; 
ChatBotKisa.prototype.created = "20061217";  
ChatBotKisa.prototype.currentLanguage = "russian";
ChatBotKisa.prototype.version = "20070213"; 
ChatBotKisa.prototype.getFirstMessage = function(language) { 
 if(this.mustTrace()) {this.getLog().println("ChatBotKisa.getFirtstMessage is runing...");};
 var chatBotMessage = new ChatBotMessage();
 chatBotMessage.setResponder(this.getClassName());
 chatBotMessage.setEmotion("hello");
 chatBotMessage.setRelevance(1);
 this.setCurrentLanguage(language);
 chatBotMessage.setLanguage("russian");
 chatBotMessage.setText("! ?");

 return chatBotMessage;
};
ChatBotKisa.prototype.getResponse = function(message) { 
 if(this.mustTrace()) {this.getLog().println("ChatBotKisa.getResponse is runing...");};
 var inputedNormalizedMessage = this.str.normalize(message);
 message = this.str.normalize(message.toLowerCase());
 message = message.replace(/\"/g, "");
 var chatBotMessage = new ChatBotMessage();
 chatBotMessage.setResponder(this.getClassName());
 chatBotMessage.setEmotion("na");
 chatBotMessage.setLanguage("russian");
 chatBotMessage.setRelevance(1);
 var r = Math.random();
 var response = "";
 if(message.search(" :") > -1) {
  if(message.indexOf("?") > -1) {
   message = message.slice(message.indexOf(" :")+14, message.indexOf("?"));
  } else {
   message = message.slice(message.indexOf(" :")+14);
  };
 } else if(message.search(" ") > -1) {
  if(message.indexOf("?") > -1) {
   message = message.slice(message.indexOf(" ")+13, message.indexOf("?"));
  } else {
   message = message.slice(message.indexOf(" ")+13);
  };
 } else if(message.search(":") > -1) {
  if(message.indexOf("?") > -1) {
   message = message.slice(message.indexOf(":")+9, message.indexOf("?"));
  } else {
   message = message.slice(message.indexOf(":")+9);
  };
 } else if(message.search("") > -1) {
  if(message.indexOf("?") > -1) {
   message = message.slice(message.indexOf("")+8, message.indexOf("?"));
  } else {
   message = message.slice(message.indexOf("")+8);
  };
 };
 if(message.search(":") > -1) {
  response = ".    : "+this.str.normalize(message.slice(message.indexOf(":")+6));
 } else if(message.search("") > -1 && message.search("") == -1) {
  response = ".    : "+this.str.normalize(message.slice(message.indexOf("")+5));
 };
 message = message.replace(/=\?/,"");
 message = message.replace(/=/,"");
 var calculated = 1;
 try {
   chatBotMessage.setText(eval("with (Math) {"+message+"}")+".");
 } catch(err) {
  calculated = 0;
 };
 if(calculated && message != "") {
  // do nothing
 } else if(this.getLastResponse().search("  ") > -1) {chatBotMessage.setText("    ?");
 } else if(this.getLastResponse().search("  ") > -1) {chatBotMessage.setText("    ...");
 } else if(this.getLastResponse().search("   ") > -1) {chatBotMessage.setText("   - ...");
 } else if(this.getLastResponse().search("   -") > -1) {chatBotMessage.setText(",     ...     .");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText("      .");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText("       .");
 } else if(this.getLastResponse().search("  ") > -1) {chatBotMessage.setText("  !   !");
 } else if(this.getLastResponse().search("  ") > -1) {chatBotMessage.setText(" ... !");
 } else if(this.getLastResponse().search(" ") > -1) {chatBotMessage.setText("       ,   ,  ...");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText("....");
 } else if(this.getLastResponse().search("....") > -1) {chatBotMessage.setText(" USB-      ... ...");
 } else if(this.getLastResponse().search("   ") > -1) {chatBotMessage.setText("      ... ?");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText(" ,   ,     !");
 } else if(this.getLastResponse().search("  ") > -1) {chatBotMessage.setText("  ...  ,     ...");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText("   ,  ...");
 } else if(this.getLastResponse().search("  ") > -1) {chatBotMessage.setText("  ! , , ...   !");
 } else if(this.getLastResponse().search("  !") > -1) {chatBotMessage.setText(" ,   !  !");
 } else if(this.getLastResponse().search("  ") > -1) {chatBotMessage.setText("....");
 } else if(this.getLastResponse().search("....") > -1) {chatBotMessage.setText("!");
 } else if(this.getLastResponse().search("!") > -1) {chatBotMessage.setText("!");
 } else if(this.getLastResponse().search("!") > -1) {chatBotMessage.setText("...");
 } else if(this.getLastResponse().search("...") > -1) {chatBotMessage.setText("!");
 } else if(this.getLastResponse().search("!") > -1) {chatBotMessage.setText("!");
 } else if(this.getLastResponse().search("!") > -1) {chatBotMessage.setText("!");
 } else if(this.getLastResponse().search("!") > -1) {chatBotMessage.setText("! ! !");
 } else if(r < 0.02 && ( message.search("") > -1 
						  || message.search("") > -1 
						  || message.search("") > -1
						  || message.search("") > -1 
						  || message.search("") > -1 
						  || message.search("") > -1
						  || message.search("") > -1
						  || message.search("") > -1
						  || message.search("") > -1
						  || message.search("") > -1
						  || message.search("") > -1
						  || message.search("") > -1)) {
  chatBotMessage.setText("  ...     .     ?");
 } else if(this.getLastResponse().search("") > -1) {
  if(r < 0.50) {
   chatBotMessage.setText("!");
  } else {
   chatBotMessage.setText(", ?  .");
  };
 } else if(this.getLastResponse().search(", ") > -1) {chatBotMessage.setText("!        .");
 } else if(this.getLastResponse().search("!  ") > -1) {chatBotMessage.setText("         .   !");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText(",       !   ... ?");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText("    ,     .");
 } else if(message.search("  ") > -1 ) {
   chatBotMessage.setText("       .");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText("   ,   .");
 } else if(message.search("  ") > -1 ) {
   chatBotMessage.setText(",     ?");
 } else if(this.getLastResponse().search("  -  ") > -1) {chatBotMessage.setText("    ?  ?");
 } else if(message.search("  ") > -1 ) {
   chatBotMessage.setText("  -  ?   ?");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText("  - ...      !");
 } else if(message == "" || message == "." || message == "" || message == ".") {
   chatBotMessage.setText("      ?");
 } else if(this.getLastResponse().search("   ") > -1) {chatBotMessage.setText(" .  , , ...");
 } else if(this.getLastResponse().search(" ") > -1) {chatBotMessage.setText("    ,   .");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText("    ... .   -   !");
 } else if(message == "" || message == "" || message == "..." || message == "...") {
   chatBotMessage.setText("   ?");
 } else if(this.getLastResponse().search("     ") > -1) {chatBotMessage.setText("  .");
 } else if(this.getLastResponse().search("  ") > -1) {chatBotMessage.setText(" ,   -  .");
 } else if(message == "" || message == "" || message == "." || message == "!") {
   chatBotMessage.setText("     .   .");
 } else if(this.getLastResponse().search("     ") > -1) {chatBotMessage.setText("   \"\".    .");
 } else if(message.search("") > -1  || message.search("") > -1 ) {
   chatBotMessage.setText(" -      ?");
 } else if(this.getLastResponse().search("       ") > -1) {chatBotMessage.setText("  ,         ?");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText(" ...       ?  ?");
 } else if(message == "") {
   chatBotMessage.setText("... ?        .");
 } else if(this.getLastResponse().search("     ") > -1) {chatBotMessage.setText("?  -   ,    .");
 } else if(this.getLastResponse().search("   ") > -1) {chatBotMessage.setText(" ,   ? ,  !");
 } else if(message.search(" ") > -1  || message.search("") > -1 ) {
   chatBotMessage.setText("     .   ...");
 } else if(this.getLastResponse().search("     ") > -1) {chatBotMessage.setText(", , ...         ?");
 } else if(this.getLastResponse().search(", , ") > -1) {chatBotMessage.setText("    .       .");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText(", ,  ...       .");
 } else if(message.search("  ") > -1  || message.search("  ") > -1 ) {
   chatBotMessage.setText("     ,     "); 
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText("       ?");
 } else if(this.getLastResponse().search("   ") > -1) {chatBotMessage.setText(" ,     ,    ?");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText("     ?");
 } else if(this.getLastResponse().search("     ") > -1) {chatBotMessage.setText("  --?   ?");
 } else if(this.getLastResponse().search("  ") > -1) {chatBotMessage.setText("     ,        ?");
 } else if(this.getLastResponse().search("    ") > -1) {chatBotMessage.setText("        ,     .");
 } else if(this.getLastResponse().search("        ") > -1) {chatBotMessage.setText(" ,  -    .");
 } else if(message.search("") > -1  || message.search("") > -1  || message.search("") > -1  || message.search("") > -1 ) {
   chatBotMessage.setText("             ?  ?");
 } else if(this.getLastResponse().search("      ") > -1) {chatBotMessage.setText("    .  .");
 } else if(message.search(" ") > -1) {
   chatBotMessage.setText("...  ,       !");
 } else if(message.search("dimonvideo") > -1) {
   chatBotMessage.setText(" !   Ke1pL");
 } else if(response != "") {
   chatBotMessage.setText(response);
 } else if(message == "" && r < 0.995 && this.getLastMessage(message) != message) {
  r = Math.random();
  if(r < 0.10) {
   chatBotMessage.setText(",  ,  .");
  } else if(r < 0.20) {
   chatBotMessage.setText("?");
  } else if(r < 0.30) {
   chatBotMessage.setText("  -.");
  } else if(r < 0.40) {
   chatBotMessage.setText("   Enter  :-)");
  } else if(r < 0.50) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.55) {
   chatBotMessage.setText("  (.");
  } else if(r < 0.60) {
   chatBotMessage.setText(" !");
  } else if(r < 0.65) {
   chatBotMessage.setText("  ? ?");
  } else if(r < 0.70) {
   chatBotMessage.setText(" !");
  } else if(r < 0.75) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.80) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.85) {
   chatBotMessage.setText(" ,  ?");
  } else if(r < 0.90) {
   chatBotMessage.setText("  !");
  } else if(r < 0.95) {
   chatBotMessage.setText("  ?");
  } else {
   chatBotMessage.setText("    ;-)");
  };  
 } else if(this.getLastMessage(message) == message && r < 0.995) {
  r = Math.random();
  if(r < 0.10) {
   chatBotMessage.setText("  : " + this.getLastResponse());
  } else if(r < 0.125) {
   chatBotMessage.setText(this.getLastResponse());
  } else if(r < 0.15) {
   chatBotMessage.setText("");
  } else if(r < 0.175) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.20) {
   chatBotMessage.setText(" ...");
  } else if(r < 0.225) {
   chatBotMessage.setText("    ?");
  } else if(r < 0.25) {
   chatBotMessage.setText("   .");
  } else if(r < 0.275) {
   chatBotMessage.setText("   ,    .");
  } else if(r < 0.30) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.325) {
   chatBotMessage.setText("...");
  } else if(r < 0.35) {
   chatBotMessage.setText("       .");
  } else if(r < 0.375) {
   chatBotMessage.setText(".");
  } else if(r < 0.40) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.42) {
   chatBotMessage.setText(".");
  } else if(r < 0.45) {
   chatBotMessage.setText("?");
  } else if(r < 0.47) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.50) {
   chatBotMessage.setText("  ...  - !  ?!");
  } else if(r < 0.55) {
   chatBotMessage.setText("  ...  - !  ?!");
  } else if(r < 0.60) {
   chatBotMessage.setText("    !");
  } else if(r < 0.625) {
   chatBotMessage.setText("   .");
  } else if(r < 0.65) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.675) {
   chatBotMessage.setText("  .");
  } else if(r < 0.70) {
   chatBotMessage.setText("     ,       .");
  } else if(r < 0.75) {
   chatBotMessage.setText("   ...");
  } else if(r < 0.80) {
   chatBotMessage.setText("   !");
  } else if(r < 0.85) {
   chatBotMessage.setText("!");
  } else if(r < 0.90) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.95) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.99) {
   chatBotMessage.setText("   !");
  } else {
   chatBotMessage.setText(" ?(");
  };
 } else if((message.search(" ") > -1 
            || message.search(" ") > -1 
            || message.search(" ") > -1
            || message.search(" ") > -1 
            || message.search(" ") > -1 
            || message.search(" ") > -1 
            || message.search(" ") > -1 
            || message.search(" ") > -1 
            || message.search(" ") > -1
            || message.search("  ") > -1
            || message.search("  ") > -1
            || message.search(" ") > -1
            || message.search(" ") > -1)
           && message.search("") == -1) { 
   var date = new Date();
   var mm = date.getMinutes(); if(mm < 10) {mm = "0" + mm;};
   var ss = date.getSeconds(); if(ss < 10) {ss = "0" + ss;};
   chatBotMessage.setText(" " + date.getHours() + ":" + mm + ":" + ss + ".");
 } else if(message.search(" ") > -1 ) { 
   chatBotMessage.setText(" " + (new KisaTime()).getDayWeek() + ".");
 } else if(message.search("  ") > -1 
						  || message.search(" ") > -1
						  || message.search(" ") > -1
						  || message.search(" ") > -1
						  || message.search(" ") > -1
						  || message.search(" ") > -1
						  || message.search(" ") > -1
						  || message.search(" ") > -1
						  || message.search(" ") > -1
						  || message.search("  ") > -1 
						  || message.search("  ") > -1 
						  || message.search(" ") > -1
						  || message.search(" ") > -1) { 
   var date = new Date();
   var dd = date.getDate(); if(dd < 10) {dd = "0" + dd;};
   var mm = date.getMonth()+1; if(mm < 10) {mm = "0" + mm;};
   chatBotMessage.setText(" " + dd + "/" + mm + "/" + date.getFullYear() + ".");
 } else if(message.search("  ") > -1 
						  || message.search("  ") > -1 
						  || message.search(" ") > -1 
						  || message.search(" ") > -1) { 
   chatBotMessage.setText(" " + (new Date()).getDate() + ".");
 } else if(message.search("  ") > -1 
						  || message.search("  ") > -1 
						  || message.search(" ") > -1 
						  || message.search(" ") > -1) { 
   chatBotMessage.setText(" " + (new KisaTime()).getMonth() + ".");
 } else if(message.search("  ") > -1 
						  || message.search("  ") > -1 
						  || message.search(" ") > -1 
						  || message.search(" ") > -1) { 
   chatBotMessage.setText(" " + (new Date()).getFullYear() + " .");
 } else if(message.search("") > -1 && message.search(" ") > -1 && message.search("  ") == -1) {
  var n = 1*message.slice(message.search("")+9, message.search(" "));
  if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n*100 + " .");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n*1000 + " .");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n*1000000 + " .");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n*1000000 + " .");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n*1000000000 + " .");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n*10000000000 + " A.");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n/100 + " .");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n*1000/0.353 + " ().");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n*1000/25.39 + " ().");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n/0.9144 + " ().");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n/100/1.6093 + " ().");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n*3.281 + " ().");}
  else if(message.search("") > -1) {chatBotMessage.setText(n + "  = " + n/2.13 + " ().");}
  else {chatBotMessage.setText("     . !");};
 } else if(message.search("") > -1 && message.search(" ") > -1 && message.search("  ") > -1) {
  var n = 1*message.slice(message.search("")+9, message.search(" "));
  chatBotMessage.setText(n + " () = " + n/57.2958 + " ().");
 } else if(message.search("") > -1 && message.search(" ") > -1 && message.search("  ") > -1) {
  var n = 1*message.slice(message.search("")+9, message.search(" "));
  chatBotMessage.setText(n + " () = " + n*57.2958 + " ().");
 } else if(message.search("") > -1 && r < 0.7) {
  r = Math.random(); 
  if(r < 0.25) {
   chatBotMessage.setText("   ");
  } else if(r < 0.50) {
   chatBotMessage.setText("   !");
  } else if(r < 0.75) {
   chatBotMessage.setText("!");
  } else {
   chatBotMessage.setText("   !!");
  }; 
 } else if(message.search("") > -1 && !(message.search("") > -1) && r < 0.7) { 
  r = Math.random(); 
  if(r < 0.20) {
   chatBotMessage.setText("   ");
  } else if(r < 0.25) {
   chatBotMessage.setText("    !");
  } else if(r < 0.50) {
   chatBotMessage.setText("   !");
  } else if(r < 0.75) {
   chatBotMessage.setText("    !");
  } else {
   chatBotMessage.setText("    !!");
  };
 } else if(message.search("   ") > -1
           || message.search("   ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           // || message.search(" ") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
  if(r < 0.25) {
   chatBotMessage.setText("...");
  } else if(r < 0.50) {
   chatBotMessage.setText("!)");
  } else if(r < 0.75) {
   chatBotMessage.setText(",      .");
  } else {
   chatBotMessage.setText("    !");
  };
 } else if(message.search(" ") > -1
           || message.search("  ") > -1
           || message.search("  ") > -1
           || message.search("  ") > -1
           // || message.search(" ") > -1
           || message.search("") > -1) { 
  chatBotMessage.setText("        ,    .");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText(" -   ,   .    110     - ..        - .");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("      .     .");
 } else if(message == ""
		   || message == ""
		   || message == ""
		   || message == ""
		   || message == ""
		   || message == ""
		   || message == ""
		   || message == "."
		   || message == ".."
		   || message == "..."
		   || message == "...."
		   || message == ".....") { 
  if(r < 0.10) {
   chatBotMessage.setText("   .");
  } else if(r < 0.20) {
   chatBotMessage.setText(this.getLastResponse());
  } else if(r < 0.25) {
   chatBotMessage.setText("   "+message);
  } else if(r < 0.30) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.40) {
   chatBotMessage.setText("    , .");
  } else if(r < 0.50) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.60) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.70) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.80) {
   chatBotMessage.setText("     , .");
  } else if(r < 0.90) {
   chatBotMessage.setText("...");
  } else {
   chatBotMessage.setText(".");
  };
 } else if(message.length < 2) { 
  if(r < 0.30) {
   chatBotMessage.setText("  ,    .");
  } else if(r < 0.40) {
   chatBotMessage.setText("  \""+message+"\"?");
  } else if(r < 0.50) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.60) {
   chatBotMessage.setText("  .");
  } else if(r < 0.70) {
   chatBotMessage.setText(" !");
  } else if(r < 0.80) {
   chatBotMessage.setText("  !");
  } else if(r < 0.90) {
   chatBotMessage.setText(" ?");
  } else {
   chatBotMessage.setText("    ;-)");
  };  
 } else if(message.length > 128) { 
  if(r < 0.70) {
   chatBotMessage.setText(" ...");
  } else if(r < 0.80) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.90) {
   chatBotMessage.setText("   .");
  } else if(r < 0.95) {
   chatBotMessage.setText("   .");
  } else {
   chatBotMessage.setText("     ?");
  }; 
 } else if(message.search("  ") > -1) { 
  if(r < 0.15) {
   chatBotMessage.setText("    ,        .");
  } else if(r < 0.30) {
   chatBotMessage.setText("  .");
  } else if(r < 0.45) {
   chatBotMessage.setText("    ?");
  } else if(r < 0.60) {
   chatBotMessage.setText(" ,    !");
  } else if(r < 0.75) {
   chatBotMessage.setText("  .");
  } else if(r < 0.95) {
   chatBotMessage.setText("  .     ?");
  } else {
   chatBotMessage.setText(" ?    .");
  }; 
 } else if(message.search(" ") > -1 || message.search(" ") > -1) {
  if(r < 0.10) {
   chatBotMessage.setText(".");
  } else if(r < 0.20) {
   chatBotMessage.setText(".      ?");
  } else if(r < 0.30) {
   chatBotMessage.setText("  ,      http://w-master.lark.ru");
  } else if(r < 0.40) {
   chatBotMessage.setText(" 2024     ! , ?");
  } else if(r < 0.50) {
   chatBotMessage.setText("-");
  } else if(r < 0.60) {
   chatBotMessage.setText(" .  ,     http://w-master.lark.ru");
  } else if(r < 0.70) {
   chatBotMessage.setText("  ,      http://w-master.lark.ru");
  } else if(r < 0.80) {
   chatBotMessage.setText(" . . -.");
  } else if(r < 0.90) {
   chatBotMessage.setText("  ,     http://w-master.lark.ru");
  } else {
   chatBotMessage.setText(",  ,   http://w-master.lark.ru");
  };
 } else if(message.search(" ") > -1
	       || message.search("  ") > -1
	       || message.search("  ") > -1
	       || message.search(" ") > -1
	       || message.search("  ") > -1
	       || message.search("  ") > -1
	       || message.search(" ") > -1
	       || message.search(" ") > -1 ) {
  if(r < 0.20) {
   chatBotMessage.setText(".");
  } else if(r < 0.40) {
   chatBotMessage.setText(".      ?");
  } else if(r < 0.60) {
   chatBotMessage.setText(" .  ,        .");
  } else if(r < 0.80) {
   chatBotMessage.setText(" - .");
  } else {
   chatBotMessage.setText(" . . -,     http://w-master.lark.ru");
  }; 
 } else if(message == ")" || message == ":)"  || message == ":))" || message == ";)" || message == ";))" || message == ":-)" || message == ":-))" || message == ";-)" || message == ";-))" ) { 
  if(r < 0.40) {
   chatBotMessage.setText("     .");
  } else if(r < 0.50) {
   chatBotMessage.setText(":-P");
  } else if(r < 0.60) {
   chatBotMessage.setText(":)");
  } else if(r < 0.70) {
   chatBotMessage.setText(";)");
  } else if(r < 0.80) {
   chatBotMessage.setText(":-)");
  } else if(r < 0.90) {
   chatBotMessage.setText(";-)");
  } else if(r < 0.95) {
   chatBotMessage.setText(" ?)");
  } else {
   chatBotMessage.setText("  !)");
  };
 } else if(message == "" || message == "" || message == ""
		   || message == "" || message == "" || message == ""
		   || message == "" || message == "-" || message == "--"
		   || message == ")" || message == ")" || message == ")"
		   || message == ")" || message == ")" || message == ")"
		   || message == ")" || message == "-)" || message == "--)"
		   || message == "))" || message == "))" || message == "))"
		   || message == "))" || message == "))" || message == "))"
		   || message == "))" || message == "-))" || message == "--))") { 
  if(r < 0.51) {
   chatBotMessage.setText("  ?      .  .");
  } else {
   chatBotMessage.setText("   ?  .");
  };
 } else if(message.indexOf("))") > -1) { 
  if(r < 0.51) {
   chatBotMessage.setText(" ,    ;!)");
  } else {
   chatBotMessage.setText(" ).");
  };
 } else if(message == "(" || message == ":(" || message == ":-(") { 
  if(r < 0.70) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.80) {
   chatBotMessage.setText(":(");
  } else if(r < 0.90) {
   chatBotMessage.setText(":-(");
  } else if(r < 0.95) {
   chatBotMessage.setText(" ?");
  } else {
   chatBotMessage.setText(" !)");
  };
 } else if(message.indexOf("((") > -1) { 
  chatBotMessage.setText("   :?(");
 } else if(message == "") { 
  chatBotMessage.setText(",  - . - ?");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText(".   .      ...  ?");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText(", ...");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("?  ?");
 } else if(message == "" || message == ")") { 
  chatBotMessage.setText(" -   ?   ?");
 } else if(message == "imho" || message == "") { 
  chatBotMessage.setText("  ?)");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("    .         .");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText(" .");
 } else if(message.search("?") > -1) { 
  chatBotMessage.setText("... ...         .");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText(".     ?");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("     .");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("  ...  .      ?");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText(". .   .     - .  , !");
 } else if(message == "" || message == "." || message == "!" ) { 
  chatBotMessage.setText("   ,  .  .      . , ?");
 } else if(message.search("  ") > -1) { 
  chatBotMessage.setText(" ,  .");
 } else if(message == "?") {
  if(r < 0.5) {
   chatBotMessage.setText("!");
  } else if(r < 0.75) {
   chatBotMessage.setText("!   - .     .");
  } else if(r < 0.99) {
   chatBotMessage.setText("-!");
  } else {
   chatBotMessage.setText("C .");
  };  
 } else if(message == "" || message == "." || message == "!" || (message == "" && r < 0.50)) {
  if(r < 0.10) {
   chatBotMessage.setText(",    ,      .");
  } else if(r < 0.15) {
   chatBotMessage.setText("...");
  } else if(r < 0.20) {
   chatBotMessage.setText("?");
  } else if(r < 0.25) {
   chatBotMessage.setText("ok");
  } else if(r < 0.30) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.35) {
   chatBotMessage.setText("OK");
  } else if(r < 0.40) {
   chatBotMessage.setText("?");
  } else if(r < 0.45) {
   chatBotMessage.setText("?");
  } else if(r < 0.50) {
   chatBotMessage.setText("  .");
  } else if(r < 0.55) {
   chatBotMessage.setText("? ?");
  } else if(r < 0.60) {
   chatBotMessage.setText("? .");
  } else if(r < 0.65) {
   chatBotMessage.setText("? ..");
  } else if(r < 0.70) {
   chatBotMessage.setText("!");
  } else if(r < 0.75) {
   chatBotMessage.setText("?");
  } else if(r < 0.80) {
   chatBotMessage.setText(" .");
  } else if(r < 0.85) {
   chatBotMessage.setText(" ...");
  } else if(r < 0.90) {
   chatBotMessage.setText(".");
  } else {
   chatBotMessage.setText("  :-)");
  };  
 } else if(message == "?") {
  if(r < 0.5) {
   chatBotMessage.setText("!");
  } else if(r < 0.75) {
   chatBotMessage.setText("!   - .     .");
  } else if(r < 0.99) {
   chatBotMessage.setText("-!");
  } else {
   chatBotMessage.setText("C .");
  }; 
 } else if(message == "" || message == "." || message == "!") {
  if(r < 0.10) {
   chatBotMessage.setText(",    ,      .");
  } else if(r < 0.15) {
   chatBotMessage.setText(" -    ?");
  } else if(r < 0.20) {
   chatBotMessage.setText("...   ?");
  } else if(r < 0.25) {
   chatBotMessage.setText("?  .");
  } else if(r < 0.30) {
   chatBotMessage.setText("?  .");
  } else if(r < 0.40) {
   chatBotMessage.setText("?");
  } else if(r < 0.50) {
   chatBotMessage.setText("  .");
  } else if(r < 0.600) {
   chatBotMessage.setText("? .");
  } else if(r < 0.70) {
   chatBotMessage.setText("!");
  } else if(r < 0.80) {
   chatBotMessage.setText(" .");
  } else if(r < 0.90) {
   chatBotMessage.setText(".");
  } else {
   chatBotMessage.setText(".");
  }; 
 } else if(message.search(" ") > -1 || message.search("") > -1) { 
  chatBotMessage.setText("   ?   , ."); 
 } else if(message == "" || message == "." || message == "!") {
  chatBotMessage.setText(", ,  .");
 } else if(message == "" || message == "" || message == "" || message == "") { 
  chatBotMessage.setText("     ,     . ?");
 } else if(message.search("") > -1 || message.search("") > -1 || message.search(" ") > -1) { 
  if(this.getLastMessage(message) == message) {
   chatBotMessage.setText(" ,     .");
  } else if(r < 0.10) {
   chatBotMessage.setText("! :-)");
  } else if(r < 0.20) {
   chatBotMessage.setText(" , .");
  } else if(r < 0.30) {
   chatBotMessage.setText("  !   ?");
  } else if(r < 0.40) {
   chatBotMessage.setText(",  !");
  } else if(r < 0.50) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.60) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.70) {
   chatBotMessage.setText("    !");
  } else if(r < 0.80) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.90) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.99) {
   chatBotMessage.setText(" ?");
  } else {
   chatBotMessage.setText(", , !");
  };  
 } else if(message.search("hello") > -1 || message == "hi" || message == "hi!") { 
  if(r < 0.33) {
   chatBotMessage.setText("Hello!");
  } else if(r < 0.66) {
   chatBotMessage.setText("Hi!");
  } else {
   chatBotMessage.setText("How are You?");
  }; 
 } else if(message == "" || message == "." || message == "..." ) { 
  if(r < 0.33) {
   chatBotMessage.setText(" ,   ?");
  } else if(r < 0.66) {
   chatBotMessage.setText(" ?");
  } else {
   chatBotMessage.setText(" ,  ?");
  }; 
 } else if(message.search("") > -1 || message.search("") > -1) { 
  if(r < 0.50) {
   chatBotMessage.setText(" -      ?");
  } else {
   chatBotMessage.setText("   \"\".    .");
  }; 
 } else if(message.search(", ") > -1 || message == " " || message == " " || message == ", ") { 
  chatBotMessage.setText("  \", \"     .");
 } else if(message.search("") > -1) { 
  if(r < 0.70) {
   chatBotMessage.setText(", !");
  } else if(r < 0.85) {
   chatBotMessage.setText(",  !");
  } else {
   chatBotMessage.setText("!");
  };  
 } else if(message == "" || message == "" || message == "." || message == "." || message == "!" || message == "!") { 
  if(r < 0.30) {
   chatBotMessage.setText(" .");
  } else if(r < 0.60) {
   chatBotMessage.setText("?");
  } else if(r < 0.90) {
   chatBotMessage.setText("!");
  } else if(r < 0.95) {
   chatBotMessage.setText(" ,    ?");
  } else {
   chatBotMessage.setText("     ?");
  };     
 } else if(message.search("") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1) { 
  if(r < 0.13) {
   chatBotMessage.setText(" - ?");
  } else if(r < 0.26) {
   chatBotMessage.setText("?");
  } else if(r < 0.39) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.52) {
   chatBotMessage.setText(" .  , , ...");
  } else if(r < 0.65) {
   chatBotMessage.setText("    ,   .");
  } else if(r < 0.78) {
   chatBotMessage.setText("    ... .   -   !");
  } else if(r < 0.91) {
   chatBotMessage.setText(", .     .");
  } else {
   chatBotMessage.setText("  - .");
  };  
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText(",    !");
 } else if(message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search("  ") > -1
           || message.search("  ") > -1) { 
  if(r < 0.20) {
   chatBotMessage.setText("  .      -?");
  } else if(r < 0.40) {
   chatBotMessage.setText(" ...");
  } else if(r < 0.60) {
   chatBotMessage.setText(" ,    .   ?");
  } else if(r < 0.99) {
   chatBotMessage.setText("!   ?");
  } else {
   chatBotMessage.setText("  .      -?");
  };  
 } else if(message.search(" ") > -1) { 
  if(r < 0.80) {
   chatBotMessage.setText(" ,    .  ?");
  } else if(r < 0.99) {
   chatBotMessage.setText("!  ?");
  } else {
   chatBotMessage.setText(" !");
  };
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("  , !");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText(".");
 } else if(message.search("  ") > -1
           || message.search("  ") > -1) { 
  chatBotMessage.setText("      .        .");
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
  chatBotMessage.setText("    ,     .      .");
 } else if(message.search(" ") > -1) { 
  if(r < 0.70) {
   chatBotMessage.setText("   !");
  } else if(r < 0.85) {
   chatBotMessage.setText(" .  !");
  } else {
   chatBotMessage.setText(" .");
  }; 
 } else if(message.search(" ") > -1) { 
  if(r < 0.70) {
   chatBotMessage.setText("   !");
  } else if(r < 0.85) {
   chatBotMessage.setText(" .  !");
  } else {
   chatBotMessage.setText(" .");
  }; 
 } else if(message.search("") > -1) { 
  if(r < 0.70) {
   chatBotMessage.setText("   !");
  } else if(r < 0.85) {
   chatBotMessage.setText("   .");
  } else {
   chatBotMessage.setText("  !");
  }; 
 } else if(message.search("") > -1) { 
  if(r < 0.25) {
   chatBotMessage.setText("   !");
  } else if(r < 0.50) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.70) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.90) {
   chatBotMessage.setText("    ?");
  } else {
   chatBotMessage.setText("  ?");
  }; 
 } else if(message.search("  ") > -1) { 
  chatBotMessage.setText("!     ,  !");
 } else if(message.search("  ") > -1) { 
  chatBotMessage.setText("     .");
 } else if(message.search("") > -1 || message.search("") > -1) { 
  if(r < 0.25) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.50) {
   chatBotMessage.setText("     .   .");
  } else if(r < 0.75) {
   chatBotMessage.setText("     .   .");
  } else {
   chatBotMessage.setText("  .");
  }; 
 } else if(message == "?") { 
  chatBotMessage.setText(" .");
 } else if(message.search("  ") > -1 || message.search(" -") > -1 || message.search(" ") > -1 || message.search(" -") > -1) { 
  chatBotMessage.setText(" -?  , \"\". ?");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("  \"\"  .       - .");
 } else if((message.search("") > -1 && message.search("") == -1)
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search(" ") > -1
           || message.search("") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
  if(r < 0.10) {
   chatBotMessage.setText("  , .");
  } else if(r < 0.20) {
   chatBotMessage.setText("!");
  } else if(r < 0.30) {
   chatBotMessage.setText("!");
  } else if(r < 0.40) {
   chatBotMessage.setText("!");
  } else if(r < 0.50) {
   chatBotMessage.setText(" , ");
  } else if(r < 0.60) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.70) {
   chatBotMessage.setText("...");
  } else if(r < 0.80) {
   chatBotMessage.setText("!");
  } else if(r < 0.90) {
   chatBotMessage.setText(" .");
  } else {
   chatBotMessage.setText("!");
  }; 
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("  , !");
 } else if(message.search("") > -1 || message.search("") > -1 || message.search("off") > -1 || message.search("") > -1) { 
  chatBotMessage.setText("");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("! ϸ  -  .");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("  ,   ,   ,      ''.");
 } else if(message.search("") > -1) { 
  if(r < 0.60) {
   chatBotMessage.setText("    .");
  } else if(r < 0.99) {
   chatBotMessage.setText("  .      .");
  } else {
   chatBotMessage.setText(" .");
  }; 
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("  ...  .      .");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("    ,         .");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("     .    ,      .");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("     ,    .");
 } else if(message.search("") > -1 || message.search("") > -1) { 
  if(r < 0.20) {
   chatBotMessage.setText("    ,     .");
  } else if(r < 0.40) {
   chatBotMessage.setText("     ,     .");
  } else if(r < 0.60) {
   chatBotMessage.setText("    .       .");
  } else if(r < 0.80) {
   chatBotMessage.setText(", , ...         ?");
  } else {
   chatBotMessage.setText(", ,  ...       .");
  }; 
 } else if(message.search(" ") > -1 || message.search("") > -1) { 
  if(r < 0.33) {
   chatBotMessage.setText("     .   ...");
  } else if(r < 0.66) {
   chatBotMessage.setText("?  -   ,    .");
  } else {
   chatBotMessage.setText(" ,   ? ,  !");
  }; 
 } else if(message.search("") > -1) { 
  chatBotMessage.setText(" -    . ,          .");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("     ,     .");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText(" .     , ?");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("      .  - -.");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText(",    .            .");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("      .");
 } else if(message.search("") > -1 || message.search("microsoft") > -1) { 
  chatBotMessage.setText(" - , ,   .         ,  .");
 } else if(message.search(" ") > -1 || message.search(" ") > -1) { 
  chatBotMessage.setText("       .       ?");
 } else if(message == "" || message == "") { 
  chatBotMessage.setText("? !      , .");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("    ...    .");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("   . , ,     .");
 } else if(message.search("") > -1 && r < 0.20) { 
  chatBotMessage.setText(",      .  ?");
 } else if(message.search("") > -1 && r < 0.20) { 
  chatBotMessage.setText(",      .  ?");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText(" -    ?   ?");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText(" ;!)");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText(",  ,     ,   ,     .          .");
 } else if(message.search(" ") > -1 || message.search(" ") > -1) { 
  chatBotMessage.setText("  .  ?");
 } else if(message.search("  ") > -1 || message.search("  ") > -1) { 
  chatBotMessage.setText("  .   ,   .");
 } else if(message.search("  ") > -1 || message.search("  ") > -1 || message.search("  ") > -1 || message.search("  ") > -1) { 
  chatBotMessage.setText(",   .       .");
 } else if(message.search(" ") > -1 || message.search(" ") > -1 || message.search(" ") > -1
           || message.search(" ") > -1 || message.search(" ") > -1 || message.search(" ") > -1) { 
  chatBotMessage.setText("    .  ?");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("!");
 } else if(message.search("  ") > -1) { 
  chatBotMessage.setText("  ,     .    ?");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("      \"\".        .");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("       .   .");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText(",      .     .       .");
 } else if(message.search("http") > -1 || message.search("www") > -1) { 
  chatBotMessage.setText("     .");
 } else if(message.search("hottabych.net") > -1) { 
  chatBotMessage.setText("    ?");
 } else if(message == "" || message == "." || message == "!") { 
  chatBotMessage.setText("  , -,   ?");
 } else if(message == " " || message == " ." || message == " !"
		   || message == "  " || message == "  ." || message == "  !"
		   || message == " " || message == " ." || message == " !"
		   || message == "  " || message == "  ." || message == "  !") { 
  chatBotMessage.setText(" ?");
 } else if(message.search("") > -1 
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search(" ") > -1
           || message.search("") > -1) { 
  chatBotMessage.setText("  ,    ,    ,   .");
 } else if(message.search("") > -1 || message.search("") > -1) { 
  if(r < 0.25) {
   chatBotMessage.setText("   ,    .");
  } else if(r < 0.50) {
    chatBotMessage.setText("    .");
  } else if(r < 0.75) {
    chatBotMessage.setText("     .     .");
  } else {
   chatBotMessage.setText(" .");
  };
 } else if(message.search("-  ") > -1 || message.search("   ") > -1 || message.search("  ") > -1) { 
  chatBotMessage.setText(",  -  ,     .");
 } else if(message.search("   ") > -1 || message.search("  ") > -1) { 
  chatBotMessage.setText(" .    .");
 } else if(message.search("  ") > -1) { 
  chatBotMessage.setText("       .");
 } else if(message.search(" ") > -1 || message.search("18 ") > -1 ) {
  if(r < 0.51) {
   chatBotMessage.setText("      ,    .");
  } else {
   chatBotMessage.setText(" ...     ...  ,        .");
  }; 
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText(",    .   .");
 } else if(message.search(" ") > -1) { 
  if(r < 0.25) {
   chatBotMessage.setText("    ?  .");
  } else if(r < 0.50) {
    chatBotMessage.setText(".");
  } else if(r < 0.75) {
    chatBotMessage.setText("    .    , ,     ,   .");
  } else {
   chatBotMessage.setText(" .");
  }; 
 } else if(message.search("") > -1) { 
  if(r < 0.33) {
   chatBotMessage.setText("!");
  } else if(r < 0.66) {
    chatBotMessage.setText("    .");
  } else {
   chatBotMessage.setText(".");
  }; 
 } else if(message.search("") > -1) { 
  if(r < 0.33) {
   chatBotMessage.setText("!");
  } else if(r < 0.66) {
    chatBotMessage.setText(" .");
  } else {
   chatBotMessage.setText(" .");
  }; 
 } else if(message == "" || message == "?" || message == "" || message == "?") { 
  if(r < 0.33) {
   chatBotMessage.setText("!");
  } else if(r < 0.66) {
    chatBotMessage.setText(" .");
  } else {
   chatBotMessage.setText("    .");
  }; 
 } else if(message == " " || message == " ?" || message == "  " || message == "  ?") { 
  chatBotMessage.setText("      ?");
 } else if(message.search("!!") > -1) { 
  chatBotMessage.setText(",    .");
 } else if(message.search("!!!") > -1) { 
  if(r < 0.51) {
   chatBotMessage.setText("    .");
  } else {
   chatBotMessage.setText(", ,  , .      .");
  };
 } else if(message.indexOf("?") > -1 && message.search("  ") > -1) {
   if(r < 0.25) {
    chatBotMessage.setText(".");
   } else if(r < 0.5) {
    chatBotMessage.setText(".");
   } else if(r < 0.75) {
    chatBotMessage.setText("   .");
   } else {
    chatBotMessage.setText("    .");
   };
 } else if((message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1		   
           || message.search(" ") > -1
           || message.search(" ") > -1)
		   && !(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1)) { 
  if(r < 0.25) {
   chatBotMessage.setText(".");
  } else if(r < 0.50) {
   chatBotMessage.setText(".");
  } else if(r < 0.65) {
   chatBotMessage.setText(".");
  } else if(r < 0.80) {
   chatBotMessage.setText(".");
  } else if(r < 0.99) {
   chatBotMessage.setText(" .");
  } else {
   chatBotMessage.setText(" ...");
  };
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("   !");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("  ?");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText(", ! :-)");
 } else if(message.search(" ") > -1) {  
  if(r < 0.50) {
   chatBotMessage.setText(" , ,   - !");
  } else {
   chatBotMessage.setText("-! :-)");
  };
 } else if(message.search(" ") > -1 && message.indexOf("?") > -1) { 
   chatBotMessage.setText(" .");
 } else if((message.search("") > -1
			|| message.search("") > -1) && message.indexOf("?") > -1) { 
  if(r < 0.20) {
   chatBotMessage.setText("   ? ?");
  } else if(r < 0.40) {
   chatBotMessage.setText("!");
  } else if(r < 0.60) {
   chatBotMessage.setText(" .");
  } else if(r < 0.80) {
   chatBotMessage.setText("  .");
  } else {
   chatBotMessage.setText("   .  ?");
  };
 } else if(message.indexOf("???") > -1) { 
  chatBotMessage.setText("   ?");
 } else if(message.indexOf("?") > -1) {
  if(r < 0.70) {
   chatBotMessage.setText(" ... --... ...  ,   .   - ?");
  } else if(r < 0.80) {
   chatBotMessage.setText(".");
  } else if(r < 0.90) {
   chatBotMessage.setText(".");
  } else {
   chatBotMessage.setText(".");
  };
 } else if(message.indexOf("?") > -1) {
  if(r < 0.70) {
   chatBotMessage.setText("  .");
  } else if(r < 0.80) {
   chatBotMessage.setText(".");
  } else if(r < 0.90) {
   chatBotMessage.setText(".");
  } else {
   chatBotMessage.setText(".");
  };
 } else if(message.indexOf("?") > -1) {
  if(r < 0.70) {
   chatBotMessage.setText(" .     .    ... ,    !");
  } else if(r < 0.80) {
   chatBotMessage.setText(".");
  } else if(r < 0.90) {
   chatBotMessage.setText(".");
  } else {
   chatBotMessage.setText(".");
  };
 } else if(message.indexOf("?") > -1 && message.length > 2) { 
  if(r < 0.01) {
   chatBotMessage.setText("     - ?");
  } else if(r < 0.02) {
   chatBotMessage.setText("     ?");
  } else if(r < 0.03) {
   chatBotMessage.setText("  ,     .");
  } else if(r < 0.04) {
   chatBotMessage.setText("    .");
  } else if(r < 0.05) {
   chatBotMessage.setText(" - .");
  } else if(r < 0.06) {
   chatBotMessage.setText("...  - .");
  } else if(r < 0.07) {
   chatBotMessage.setText("    ?");
  } else if(r < 0.08) {
   chatBotMessage.setText("   . ?");
  } else if(r < 0.09) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.1) {
   chatBotMessage.setText("      .");
  } else if(r < 0.11) {
   chatBotMessage.setText(" .");
  } else if(r < 0.12) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.13) {
   chatBotMessage.setText("    - ,      .");
  } else if(r < 0.14) {
   // chatBotMessage.setText("      ?");
   chatBotMessage.setText("     !");
  } else if(r < 0.15) {
   chatBotMessage.setText("    .");
  } else if(r < 0.16) {
   chatBotMessage.setText(" ,      .      ...");
  } else if(r < 0.17) {
   chatBotMessage.setText("     .");
  } else if(r < 0.18) {
   chatBotMessage.setText(" .");
  } else if(r < 0.19) {
   chatBotMessage.setText("   Firefox  Google Toolbar?");
  } else if(r < 0.2) {
   chatBotMessage.setText("     .");
  } else if(r < 0.21) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.22) {
   chatBotMessage.setText("      ???");
  } else if(r < 0.23) {
   chatBotMessage.setText(" ...");
  } else if(r < 0.24) {
   chatBotMessage.setText(".");
  } else if(r < 0.25) {
   chatBotMessage.setText(" ,   - .");
  } else if(r < 0.26) {
   chatBotMessage.setText(" , .");
  } else if(r < 0.27) {
   chatBotMessage.setText("   .");
  } else if(r < 0.28) {
   chatBotMessage.setText("     .   - .");
  } else if(r < 0.29) {
   chatBotMessage.setText("    .   .");
  } else if(r < 0.3) {
   chatBotMessage.setText("   ,    .");
  } else if(r < 0.310) {
   chatBotMessage.setText("     ?");
  } else if(r < 0.320) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.33) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.34) {
   chatBotMessage.setText(".");
  } else if(r < 0.35) {
   chatBotMessage.setText("...      .");
  } else if(r < 0.360) {
   chatBotMessage.setText("    ?");
  } else if(r < 0.37) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.38) {
   chatBotMessage.setText(" .");
  } else if(r < 0.39) {
   chatBotMessage.setText("  .");
  } else if(r < 0.4) {
   chatBotMessage.setText("  -    ?");
  } else if(r < 0.41) {
   chatBotMessage.setText(" .");
  } else if(r < 0.420) {
   chatBotMessage.setText("!");
  } else if(r < 0.43) {
   chatBotMessage.setText(".   .");
  } else if(r < 0.44) {
   chatBotMessage.setText(" . ?");
  } else if(r < 0.45) {
   chatBotMessage.setText("     ,     .");
  } else if(r < 0.46) {
   chatBotMessage.setText(" .");
  } else if(r < 0.47) {
   chatBotMessage.setText("   .");
  } else if(r < 0.48) {
   chatBotMessage.setText(" .");
  } else if(r < 0.49) {
   chatBotMessage.setText("        .");
  } else if(r < 0.5) {
   chatBotMessage.setText(",     .");
  } else if(r < 0.51) {
   chatBotMessage.setText("    ?");
  } else if(r < 0.52) {
   chatBotMessage.setText(" .");
  } else if(r < 0.53) {
   chatBotMessage.setText("     .");
  } else if(r < 0.54) {
   chatBotMessage.setText("  ,          ?");
  } else if(r < 0.55) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.56) {
   chatBotMessage.setText("  .  - .  ?");
  } else if(r < 0.57) {
   chatBotMessage.setText("        ?");
  } else if(r < 0.58) {
   chatBotMessage.setText("    .");
  } else if(r < 0.59) {
   chatBotMessage.setText("     .   ?");
  } else if(r < 0.6) {
   chatBotMessage.setText("     .");
  } else if(r < 0.61) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.62) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.63) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.64) {
   chatBotMessage.setText("  .");
  } else if(r < 0.65) {
   chatBotMessage.setText("     .");
  } else if(r < 0.66) {
   chatBotMessage.setText("  IRC.     .");
  } else if(r < 0.670) {
   chatBotMessage.setText("     ?");
  } else if(r < 0.7) {
   chatBotMessage.setText("  ,      .");
  } else if(r < 0.71) {
   chatBotMessage.setText("   2006 .  ,   ,      ?");
  } else if(r < 0.72) {
   chatBotMessage.setText("    .    ?");
  } else if(r < 0.75) {
   chatBotMessage.setText("     .   .");
  } else if(r < 0.76) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.77) {
   chatBotMessage.setText(",   .");
  } else if(r < 0.78) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.79) {
   chatBotMessage.setText("     ?");
  } else if(r < 0.8) {
   chatBotMessage.setText("    ,   - !");
  } else if(r < 0.81) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.82) {
   chatBotMessage.setText(" .    .");
  } else if(r < 0.83) {
   chatBotMessage.setText(",        .");
  } else if(r < 0.84) {
   chatBotMessage.setText(" .");
  } else if(r < 0.85) {
   chatBotMessage.setText("  ,        .");
  } else if(r < 0.86) {
   chatBotMessage.setText(".  .");
  } else if(r < 0.87) {
   chatBotMessage.setText(" ,  .");
  } else if(r < 0.88) {
   chatBotMessage.setText(" .");
  } else if(r < 0.89) {
   chatBotMessage.setText(" .");
  } else if(r < 0.9) {
   chatBotMessage.setText(",        ...");
  } else if(r < 0.91) {
   chatBotMessage.setText("      .");
  } else if(r < 0.92) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.93) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.94) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.95) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.96) {
   chatBotMessage.setText(" .");
  } else if(r < 0.97) {
   chatBotMessage.setText("   ,   ,       .");
  } else if(r < 0.98) {
   chatBotMessage.setText("      .");
  } else if(r < 0.99) {
   chatBotMessage.setText(" .");
  } else if(r < 0.995) {
   chatBotMessage.setText("   !");
  } else {
   chatBotMessage.setText(",      !");
  }; 
 } else if(message == "") { 
  if(r < 0.51) {
   chatBotMessage.setText(",     .  .");
  } else {
   chatBotMessage.setText("  !");
  };
 } else if(message == "") { 
  if(r < 0.51) {
   chatBotMessage.setText(",     .  .");
  } else {
   chatBotMessage.setText("  !");
  };
 } else if(message.search(" ") > -1
           || message.search(" ") > -1
           || message.search("  ") > -1) { 
  if(r < 0.33) {
   chatBotMessage.setText("     .      .");
  } else if(r < 0.66) {
   chatBotMessage.setText(" ,  .     ?");
  } else {
   chatBotMessage.setText("     . , ,  .");
  }; 
 } else if(message.search("  ") > -1) { 
  if(r < 0.50) {
   chatBotMessage.setText(",     ?");
  } else {
   chatBotMessage.setText("   ,   .");
  }; 
 } else if(message.search("  ") > -1) { 
  if(r < 0.50) {
   chatBotMessage.setText("       .");
  } else {
   chatBotMessage.setText("    ,     .");
  }; 
 } else if(message.search("  ") > -1) { 
  if(r < 0.50) {
   chatBotMessage.setText("  -  ?   ?");
  } else {
   chatBotMessage.setText("    ?  ?");
  }; 
 } else if(message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
		   || message == ""
		   || message == ""
		   || message == "") { 
  if(r < 0.33) {
   chatBotMessage.setText("    , ..");
  } else if(r < 0.66) {
   chatBotMessage.setText("    , ..");
  } else {
   chatBotMessage.setText(" ,  .     ?");
  };
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
  if(r < 0.51) {
   chatBotMessage.setText("   - .      .");
  } else {
   chatBotMessage.setText(" ,  .     ?");
  }; 
 } else if(message == "") { 
  chatBotMessage.setText("    -    \"\"   \" \"?");
 } else if(message == "") { 
  chatBotMessage.setText(" -   .");
 } else if(message.search(" ") > -1) { 
  if(r < 0.51) {
   chatBotMessage.setText("    .");
  } else {
   chatBotMessage.setText("    .    , .");
  }; 
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("  \"\".");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("    .   !");
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1) { 
  if(r < 0.15) {
   chatBotMessage.setText("        ?   ?");
  } else if(r < 0.30) {
   chatBotMessage.setText("        .");
  } else if(r < 0.45) {
   chatBotMessage.setText("           .");
  } else {
   chatBotMessage.setText(".       ?");
  }; 
 } else if(message == "") { 
  if(r < 0.51) {
   chatBotMessage.setText("    ,     -  ...");
  } else {
   chatBotMessage.setText(", -,    .");
  };
 } else if(message == ""
		   || message == ""
		   || message == "") { 
  chatBotMessage.setText(" .");
 } else if(message.search("") > -1
           || message.search("") > -1) { 
   chatBotMessage.setText("   \"\"?     ?    -   .");
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
		   || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
  if(r < 0.5) {
   chatBotMessage.setText("         .          !");
  } else if(r < 0.10) {
   chatBotMessage.setText("    ?");
  } else if(r < 0.15) {
   chatBotMessage.setText("          .   .");
  } else if(r < 0.20) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.25) {
   chatBotMessage.setText(",    ,   . .");
  } else if(r < 0.30) {
   chatBotMessage.setText(" ,           .");
  } else if(r < 0.35) {
   chatBotMessage.setText("   .        .");
  } else if(r < 0.40) {
   chatBotMessage.setText("?");
  } else if(r < 0.45) {
   chatBotMessage.setText("    .     .");
  } else if(r < 0.50) {
   chatBotMessage.setText("       .      .");
  } else if(r < 0.55) {
   chatBotMessage.setText(" !");
  } else if(r < 0.60) {
   chatBotMessage.setText(" !");
  } else if(r < 0.65) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.70) {
   chatBotMessage.setText("    ?");
  } else if(r < 0.75) {
   chatBotMessage.setText("?");
  } else if(r < 0.80) {
   chatBotMessage.setText("?");
  } else if(r < 0.85) {
   chatBotMessage.setText("     ?");
  } else if(r < 0.90) {
   chatBotMessage.setText(" !");
  } else if(r < 0.95) {
   chatBotMessage.setText("!");
  } else {
   chatBotMessage.setText("   ?   ,      ?");
  }; 
 } else if(message.search("") > -1
           || message.search("") > -1) { 
   chatBotMessage.setText("   ?   ,      ?");
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
   chatBotMessage.setText("?  !   .     , !");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("? ?");
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
   chatBotMessage.setText("!        .   .     .");
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
   chatBotMessage.setText("     .      .");
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1
           || message.search("") > -1) { 
   chatBotMessage.setText("     .");
 } else if(message.search("") > -1) { 
  if(r < 0.33) {
   chatBotMessage.setText("... ?        .");
  } else if(r < 0.66) {
   chatBotMessage.setText(" ...       ?  ?");
  } else {
   chatBotMessage.setText("  ,         ?");
  };
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
   chatBotMessage.setText("   , ...      .");
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
   chatBotMessage.setText("      .");
 } else if(message.search("  ") > -1) { 
  chatBotMessage.setText("  .");
 } else if(message == "") { 
  chatBotMessage.setText(",    ,   -.");
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
  if(r < 0.15) {
   chatBotMessage.setText("   .   .");
  } else if(r < 0.30) {
   chatBotMessage.setText("     ?");
  } else if(r < 0.45) {
   chatBotMessage.setText("  .");
  } else if(r < 0.60) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.75) {
   chatBotMessage.setText("    ?");
  } else if(r < 0.90) {
   chatBotMessage.setText("    .     ?");
  } else {
   chatBotMessage.setText("       ... .       .        .  ,     .");
  }; 
 } else if(message.search(" ") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
  if(r < 0.45) {
   chatBotMessage.setText("     ?    ,   .");
  } else if(r < 0.90) {
   chatBotMessage.setText("        .    .");
  } else if(r < 0.95) {
   chatBotMessage.setText("   ?");
  } else {
   chatBotMessage.setText("    ?");
  }; 
 } else if(message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1
           || message.search("") > -1) { 
  if(r < 0.15) {
   chatBotMessage.setText("  ,    ,     ? .");
  } else if(r < 0.30) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.45) {
   chatBotMessage.setText("  .       .");
  } else if(r < 0.60) {
   chatBotMessage.setText("       ? .");
  } else if(r < 0.75) {
   chatBotMessage.setText("  ,       .   -   ?");
  } else if(r < 0.85) {
   chatBotMessage.setText("       .     .");
  } else {
   chatBotMessage.setText("  ,    .");
  }; 
 } else if(message.search("") > -1
						  || message.search("") > -1
						  || message.search("") > -1
						  || message.search("") > -1) { 
  chatBotMessage.setText("...   .      ,   .");
 } else if(message.search(" ") > -1
           || message.search(" ") > -1
           || message.search(" ") > -1) { 
  chatBotMessage.setText(" ?");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("   ?");
 } else if(message.search(" ") > -1 || message.search(" ") > -1) { 
  chatBotMessage.setText("       ?");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("   !!!");
 } else if(message.search(" ") > -1 || message.search(" ") > -1) { 
  chatBotMessage.setText(",  .    .");
 } else if(message.search("") > -1) { 
  if(r < 0.50) {
   chatBotMessage.setText("  .     -  .");
  } else {
   chatBotMessage.setText(".      ?");
  };
 } else if(message.search("") > -1 || message.search("") > -1) { 
  chatBotMessage.setText(" ,        .");
 } else if(message.search(" ") > -1) { 
  chatBotMessage.setText("  .     ,  .");
 } else if(message.search("") > -1) {
  if(r < 0.15) {
   chatBotMessage.setText("  .");
  } else if(r < 0.30) {
   chatBotMessage.setText(", .     ?");
  } else if(r < 0.45) {
   chatBotMessage.setText("      ?");
  } else if(r < 0.60) {
   chatBotMessage.setText("  - ...      !");
  } else if(r < 0.75) {
   chatBotMessage.setText(" .  ?");
  } else if(r < 0.90) {
   chatBotMessage.setText("   ,  -   .     - .");
  } else if(r < 0.999) {
   chatBotMessage.setText(",  .       ,    .");
  } else {
   chatBotMessage.setText("   !");
  };
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("  .");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText("\"\" -           ?");
 } else if(message.search("") > -1 && !(message.search("") > -1)) { 
  chatBotMessage.setText("\"\" -    .");
 } else if(message.search("") > -1) { 
  chatBotMessage.setText(" ?    .");
 } else if((message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)
			|| (message.search("") > -1)) {
  if(r < 0.16) {
   chatBotMessage.setText(" -       .");
  } else if(r < 0.32) {
   chatBotMessage.setText("    ,     .");
  } else if(r < 0.48) {
   chatBotMessage.setText("    .");
  } else if(r < 0.64) {
   chatBotMessage.setText(",       ,  ...");
  } else if(r < 0.80) {
   chatBotMessage.setText("  ,    ?");
  } else {
   chatBotMessage.setText("   ,  !");
  }; 	
 } else if(inputedNormalizedMessage == message.toUpperCase()) { 
  if(r < 0.25) {
   chatBotMessage.setText("  ,   !");
  } else if(r < 0.50) {
   chatBotMessage.setText("   .");
  } else if(r < 0.75) {
   chatBotMessage.setText(",   ,   .");
  } else {
   chatBotMessage.setText(" Caps Lock, ...");
  }; 
 } else if(!message.match(/[--]/)) { 
  if(r < 0.25) {
   chatBotMessage.setText("      .  , .");
  } else if(r < 0.50) {
   chatBotMessage.setText("      ,   .");
  } else if(r < 0.75) {
   chatBotMessage.setText("    ,      -.");
  } else {
   chatBotMessage.setText(",       .    .");
  }; 
 } else if(!message.match(/\s/) && message.length > 20) { 
  if(r < 0.17) {
   chatBotMessage.setText("    ,  .");
  } else if(r < 0.34) {
   chatBotMessage.setText(" - ,      .");
  } else if(r < 0.51) {
   chatBotMessage.setText("  ,  . -.");
  } else if(r < 0.78) {
   chatBotMessage.setText(" -.");
  } else if(r < 0.95) {
   chatBotMessage.setText("   ?");
  } else {
   chatBotMessage.setText("    ,           .");
  }; 
 } else {
  if(r < 0.01) {
   chatBotMessage.setText("   !");
  } else if(r < 0.02) {
   chatBotMessage.setText(" - !");
  } else if(r < 0.03) {
   chatBotMessage.setText(".");
  } else if(r < 0.04) {
   chatBotMessage.setText("... ...  ,  ... ,   .");
  } else if(r < 0.05) {
   chatBotMessage.setText(",    ...  .");
  } else if(r < 0.06) {
   chatBotMessage.setText("...");
  } else if(r < 0.07) {
   chatBotMessage.setText("... . -. ,   ?");
  } else if(r < 0.08) {
   chatBotMessage.setText(" ...  ...");
  } else if(r < 0.09) {
   chatBotMessage.setText(",  .");
  } else if(r < 0.100) {
   chatBotMessage.setText(",   .");
  } else if(r < 0.110) {
   chatBotMessage.setText("  -  ?");
  } else if(r < 0.120) {
   chatBotMessage.setText("    .    -.");
  } else if(r < 0.130) {
   chatBotMessage.setText("        -   .");
  } else if(r < 0.140) {
   chatBotMessage.setText("     ,   -       .");
  } else if(r < 0.150) {
   chatBotMessage.setText("     ?  ,     .");
  } else if(r < 0.160) {
   chatBotMessage.setText(" ...       .       .");
  } else if(r < 0.170) {
   chatBotMessage.setText("-    .");
  } else if(r < 0.180) {
   // chatBotMessage.setText("!");
   chatBotMessage.setText(",     ...      ...");
  } else if(r < 0.19) {
   chatBotMessage.setText(",   .      .");
  } else if(r < 0.20) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.21) {
   chatBotMessage.setText("   . :(");
  } else if(r < 0.22) {
   chatBotMessage.setText(".");
  } else if(r < 0.230) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.235) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.240) {
   chatBotMessage.setText(".");
  } else if(r < 0.250) {
   chatBotMessage.setText("...");
  } else if(r < 0.260) {
   chatBotMessage.setText("?");
  } else if(r < 0.270) {
   chatBotMessage.setText("  .");
  } else if(r < 0.280) {
   chatBotMessage.setText(".");
  } else if(r < 0.285) {
   chatBotMessage.setText(".");
  } else if(r < 0.290) {
   chatBotMessage.setText(".");
  } else if(r < 0.295) {
   chatBotMessage.setText(".");
  } else if(r < 0.300) {
   chatBotMessage.setText("  .");
  } else if(r < 0.310) {
   chatBotMessage.setText("   ,    .");
  } else if(r < 0.320) {
   // chatBotMessage.setText("   .");
   chatBotMessage.setText("       ,    .");
  } else if(r < 0.325) {
   chatBotMessage.setText("... .");
  } else if(r < 0.330) {
   chatBotMessage.setText("...");
  } else if(r < 0.335) {
   chatBotMessage.setText("   , ?");
  } else if(r < 0.340) {
   // chatBotMessage.setText("   .");
   chatBotMessage.setText("   ,       .       .");
  } else if(r < 0.350) {
   chatBotMessage.setText(",  ?");
  } else if(r < 0.360) {
   chatBotMessage.setText("   , .");
  } else if(r < 0.370) {
   chatBotMessage.setText(" .");
  } else if(r < 0.380) {
   chatBotMessage.setText("   ,    .");
  } else if(r < 0.390) {
   chatBotMessage.setText(".");
  } else if(r < 0.400) {
   chatBotMessage.setText("     ?");
  } else if(r < 0.410) {
   chatBotMessage.setText("   ,    .");
  } else if(r < 0.420) {
   chatBotMessage.setText("?");
  } else if(r < 0.430) {
   chatBotMessage.setText("  !");
  } else if(r < 0.440) {
   chatBotMessage.setText("!");
  } else if(r < 0.450) {
   chatBotMessage.setText("    ,         ?");
  } else if(r < 0.455) {
   chatBotMessage.setText(",     .");
  } else if(r < 0.460) {
   chatBotMessage.setText(",     ,         ?");
  } else if(r < 0.465) {
   chatBotMessage.setText(",      .");
  } else if(r < 0.470) {
   chatBotMessage.setText("?");
  } else if(r < 0.475) {
   chatBotMessage.setText(",  .  ,  ,   IP,    .  ?");
  } else if(r < 0.480) {
   chatBotMessage.setText("    .       ,    .");
  } else if(r < 0.485) {
   chatBotMessage.setText("  .");
  } else if(r < 0.490) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.495) {
   chatBotMessage.setText("     .");
  } else if(r < 0.500) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.505) {
   chatBotMessage.setText("  ?");
  } else if(r < 0.510) {
   chatBotMessage.setText(".");
  } else if(r < 0.520) {
   chatBotMessage.setText(", .    .");
  } else if(r < 0.530) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.540) {
   chatBotMessage.setText("?");
  } else if(r < 0.550) {
   chatBotMessage.setText("     .");
  } else if(r < 0.559) {
   // chatBotMessage.setText("    .");
   chatBotMessage.setText("      .   !");
  } else if(r < 0.560) {
   // chatBotMessage.setText(",    , ?");
   chatBotMessage.setText("    ,      .            .");
  } else if(r < 0.561) {
   chatBotMessage.setText(",      ?    .   .  ... ...");
  } else if(r < 0.570) {
   // chatBotMessage.setText(",     ?");
   chatBotMessage.setText("  ?");
  } else if(r < 0.575) {
   chatBotMessage.setText(" ...");
  } else if(r < 0.580) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.585) {
   chatBotMessage.setText(",      ,  ?");
  } else if(r < 0.590) {
   chatBotMessage.setText(",        ...");
  } else if(r < 0.600) {
   chatBotMessage.setText(",        ...");
  } else if(r < 0.610) {
   chatBotMessage.setText("    .");
  } else if(r < 0.620) {
   chatBotMessage.setText("    .");
  } else if(r < 0.630) {
   chatBotMessage.setText("   ?");
  } else if(r < 0.640) {
   chatBotMessage.setText(".");
  } else if(r < 0.650) {
   chatBotMessage.setText("...");
  } else if(r < 0.660) {
   chatBotMessage.setText("...");
  } else if(r < 0.670) {
   chatBotMessage.setText("        . ,     ?");
  } else if(r < 0.680) {
   chatBotMessage.setText(",        .        ?");
  } else if(r < 0.685) {
   chatBotMessage.setText("     .");
  } else if(r < 0.690) {
   chatBotMessage.setText(" ?");
  } else if(r < 0.700) {
   chatBotMessage.setText("   ,     ,   .");
  } else if(r < 0.710) {
   chatBotMessage.setText("!");
  } else if(r < 0.720) {
   chatBotMessage.setText("!");
  } else if(r < 0.730) {
   chatBotMessage.setText("    , .");
  } else if(r < 0.740) {
   chatBotMessage.setText("...");
  } else if(r < 0.750) {
   chatBotMessage.setText(", ,   !");
  } else if(r < 0.760) {
   chatBotMessage.setText("      ,    .");
//   chatBotMessage.setText("  !");
  } else if(r < 0.761) {
   chatBotMessage.setText("  ...");
  } else if(r < 0.770) {
   // chatBotMessage.setText("  !");
   chatBotMessage.setText("     .");
  } else if(r < 0.780) {
   chatBotMessage.setText("     ?");
  } else if(r < 0.790) {
   chatBotMessage.setText("?");
  } else if(r < 0.795) {
   chatBotMessage.setText(",   .");
  } else if(r < 0.800) {
   chatBotMessage.setText("!");
  } else if(r < 0.810) {
   chatBotMessage.setText(",    ...    ?");
  } else if(r < 0.820) {
   chatBotMessage.setText("           ,      .");
  } else if(r < 0.825) {
   chatBotMessage.setText("...");
  } else if(r < 0.830) {
   chatBotMessage.setText("  , , ...         .");
  } else if(r < 0.835) {
   chatBotMessage.setText("    \""+message+"\"?");
  } else if(r < 0.840) {
   chatBotMessage.setText(" ,   ,        . , ?");
  } else if(r < 0.845) {
   chatBotMessage.setText(" .");
  } else if(r < 0.850) {
   chatBotMessage.setText(".   ,       ? -    .");
  } else if(r < 0.855) {
   chatBotMessage.setText("   ...");
  } else if(r < 0.860) {
   chatBotMessage.setText(",   .  ?");
  } else if(r < 0.870) {
   chatBotMessage.setText(" , ...");
  } else if(r < 0.880) {
   chatBotMessage.setText("  ,       ? -    .");
  } else if(r < 0.885) {
   chatBotMessage.setText(" .");
  } else if(r < 0.890) {
   chatBotMessage.setText("       ,       .");
  } else if(r < 0.895) {
   chatBotMessage.setText("     ?");
  } else if(r < 0.900) {
   chatBotMessage.setText("    .      .      .");
  } else if(r < 0.905) {
   chatBotMessage.setText("    ?");
  } else if(r < 0.910) {
   chatBotMessage.setText("...      .");
  } else if(r < 0.920) {
   chatBotMessage.setText("   ? \""+message+"\"");
  } else if(r < 0.930) {
   chatBotMessage.setText("... "+message+"    .");
  } else if(r < 0.940) {
   chatBotMessage.setText(",   ,  -    .");
  } else if(r < 0.945) {
   chatBotMessage.setText("   -  .    .");
  } else if(r < 0.950) {
   chatBotMessage.setText(message+"    -  .    .");
  } else if(r < 0.960) {
   chatBotMessage.setText("  - ,      . .");
  } else if(r < 0.970) {
   chatBotMessage.setText("  ,       - .");
  } else if(r < 0.98) {
   chatBotMessage.setText("...");
  } else {
   chatBotMessage.setText(message);
//  } else if(r < 0.999) {
//   chatBotMessage.setText("   !  ,  ,    .  , ?");
//  } else {
//   chatBotMessage.setText("   !");
  };
 };
 if(this.getLastResponse() == chatBotMessage.getText()) {
  r = Math.random(r); 
  if(r < 0.25) {
   chatBotMessage.setText("...");
  } else if(r < 0.50) {
   chatBotMessage.setText(".");
  } else if(r < 0.75) {
   chatBotMessage.setText(" : "+chatBotMessage.getText());
  } else {
   chatBotMessage.setText("...");;
  };
 };
 this.setLastMessage(message);
 this.setLastResponse(chatBotMessage.getText());
 this.messageNumber++;
 return chatBotMessage;
};
//**************************************    ****************************************** 
//**********************************     ************************************** 
var KisaTime = function() {};
KisaTime.prototype.getMonth = function() { 
 var d=new Date(); 
 var month=new Array(12);
 month[0]=""; month[1]="";
 month[2]=""; month[3]="";
 month[4]=""; month[5]="";
 month[6]=""; month[7]="";
 month[8]=""; month[9]="";
 month[10]=""; month[11]="";
 return month[d.getMonth()];
};
KisaTime.prototype.getDayWeek = function() { 
 var d=new Date(); 
 var month=new Array(12);
 month[1]=""; month[2]="";
 month[3]=""; month[4]="";
 month[5]=""; month[6]="";
 month[0]=""; 
 return month[d.getDay()];
};
var Monitor = function() {};
Monitor.prototype = new Root();
Monitor.prototype.className = "Monitor"; 
Monitor.prototype.created = "20061018"; 
Monitor.prototype.currentLanguage = "english";
 Monitor.prototype.getCurrentLanguage = function () {return this.currentLanguage;};
 Monitor.prototype.setCurrentLanguage = function (currentLanguage) {this.currentLanguage = currentLanguage; return 1;};
Monitor.prototype.botElementId;
 Monitor.prototype.getBotElementId = function () {return this.botElementId;};
 Monitor.prototype.setBotElementId = function (botElementId) {this.botElementId = botElementId; return 1;};
Monitor.prototype.botManager;
 Monitor.prototype.getBotManager = function () {return this.botManager;};
 Monitor.prototype.setBotManager = function (botManager) {this.botManager = botManager; return 1;};
Monitor.prototype.dom;
 Monitor.prototype.getDom = function () {return this.dom;};
 Monitor.prototype.setDom = function (dom) {this.dom = dom; return 1;};
Monitor.prototype.messageIdPrefix = "mid-";
 Monitor.prototype.getMessageIdPrefix = function () {return this.messageIdPrefix;};
 Monitor.prototype.setMessageIdPrefix = function (messageIdPrefix) {this.messageIdPrefix = messageIdPrefix; return 1;};
Monitor.prototype.messageNumber = 0;
 Monitor.prototype.addMessageNumber = function () {return ++this.messageNumber;};
 Monitor.prototype.getMessageNumber = function () {return this.messageNumber;};
 Monitor.prototype.setMessageNumber = function (messageNumber) {this.messageNumber = messageNumber; return 1;};
Monitor.prototype.monitorElementId;
 Monitor.prototype.getMonitorElementId = function () {return this.monitorElementId;};
 Monitor.prototype.setMonitorElementId = function (monitorElementId) {this.monitorElementId = monitorElementId; return 1;};
Monitor.prototype.monitorElement;
 Monitor.prototype.getMonitorElement = function () {return this.monitorElement;};
 Monitor.prototype.setMonitorElement = function (monitorElement) {this.monitorElement = monitorElement; return 1;};
Monitor.prototype.userElementId;
 Monitor.prototype.getUserElementId = function () {return this.userElementId;};
 Monitor.prototype.setUserElementId = function (userElementId) {this.userElementId = userElementId; return 1;};
Monitor.prototype.version = "20061018"; 
Monitor.prototype.main = function() { 
 if(this.mustTrace()) {this.getLog().println("Monitor.main is runing...");};
 this.setMonitorElement(document.getElementById(this.getMonitorElementId()));
 return 1;
};
Monitor.prototype.printlnMessage = function(userId, message) { 
 if(this.mustTrace()) {this.getLog().println("Monitor.printlnMessage is runing...");};
 var messageElement = document.createElement("div");
 messageElement.id = this.getMessageIdPrefix() + this.getMessageNumber();
 messageElement.className = userId;
 messageElement.appendChild(document.createTextNode(message));
 this.getMonitorElement().appendChild(messageElement);
 // messageElement.focus();
 this.getMonitorElement().scrollTop = this.getMonitorElement().scrollHeight;
 this.addMessageNumber();
 return 1;
};
Monitor.prototype.setBotMessage = function(botMessage) { 
 if(this.mustTrace()) {this.getLog().println("Monitor.setBotMessage is runing...");};
 if(botMessage.getRelevance() > 0) {this.printlnMessage(this.getBotElementId(), botMessage.getText());};
 return 1;
};
Monitor.prototype.setUserMessage = function(message) { 
 if(this.mustTrace()) {this.getLog().println("Monitor.setUserMessage is runing...");};
 this.printlnMessage(this.getUserElementId(), message);
 //this.getBotManager().getResponse(message); 
 message = message.replace(/\"/g, "'");
 var id = setTimeout("botManager.getResponse(\""+message+"\")",Math.random()*1000);
 return 1;
};
var UserConsole = function() {};
UserConsole.prototype = new Root();
UserConsole.prototype.className = "UserConsole"; 
UserConsole.prototype.created = "20061018"; 
UserConsole.prototype.dom;
 UserConsole.prototype.getDom = function () {return this.dom;};
 UserConsole.prototype.setDom = function (dom) {this.dom = dom; return 1;};
UserConsole.prototype.ev;
 UserConsole.prototype.getEvent = function () {return this.ev;};
 UserConsole.prototype.setEvent = function (ev) {this.ev = ev; return 1;};
UserConsole.prototype.monitor;
 UserConsole.prototype.getMonitor = function () {return this.monitor;};
 UserConsole.prototype.setMonitor = function (monitor) {this.monitor = monitor; return 1;};
UserConsole.prototype.version = "20061018"; 
UserConsole.prototype.main = function() { 
 if(this.mustTrace()) {this.getLog().println("UserConsole.main is runing...");};
 var the = this;
 this.getEvent().addEventListener("userConsoleSendButton", "click", function(e) {the.writeMessage(e);}, false);
 this.getEvent().addEventListener("userConsoleText", "keypress", function(e) {if(e.keyCode != 13 && e.which != 13) {return -1;}; the.writeMessage(e);}, false);
 return 1;
};
UserConsole.prototype.writeMessage = function(e) { 
 if(this.mustTrace()) {this.getLog().println("UserConsole.writeMessage is runing...");};
 var message = document.getElementById("userConsoleText").value;
 document.getElementById("userConsoleText").value = "";
 this.getMonitor().setUserMessage(message);
 return 1;
};
if(Root && Events) {
 events = new Events();
 events.addEventListener(window, "load", initAll, false);
};